Subject: bug#14364: Bug Report: Lacking '=' when specifying -soname

From: Mike Frysinger <[email-masked]>
Date: Wed, 8 May 2013 11:46:54 -0400

On Wednesday 08 May 2013 07:13:41 Bob Fischer wrote:
> > So, the problem does not appear to be the command line libtool is
> > generating. I.e., the problem appears to be elsewhere.
> 
> At the end of the day, things don't work.  I run the following on my
> configure script, and then things do work: sed -i 's/-soname
> \$wl/-soname=/g' configure
> 
> Thanks for digging up the stuff in the manuals.  Unfortunately, manuals
> don't always match reality.  This is not a stock GNU ld 2.20, but rather
> one that's been hacked by SLSE 11. GNU ld (GNU Binutils; SUSE Linux
> Enterprise 11) 2.20.0.20100122-0.7.9
> 
> That would make it technically a SUSE bug.  But maybe they don't care.  Or
> they've already fixed it  Or they think it's a feature, not a bug.  At the
> end of the day, scripts generated by libtool are broken.  Upgrading
> libtool is much easier than upgrading ld.  This is a shared system and I
> can't realistically use a different GNU ld; however, I can use a different
> libtool.

of course you can use a different GNU ld.  build & install a different binutils 
package yourself.  and file a bug with the SUSE maintainers.
-mike